%define geourl http://geolite.maxmind.com/download/geoip/database

Name:		GeoIP-data
Version:	20120808
Release:	1%{?dist}
Summary:	GeoLite Country database
Summary(ko): GeoLite 국가 디비
Group:		System Environment/Libraries
License:	MaxMind
URL:		http://www.maxmind.com

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	curl
BuildArch: noarch

%description
Determine the Internet visitor's country based on the IP address.
Also, try out our free GeoLite Country database.

%build
%{__mkdir_p} %{name}-%{version}
cd %{name}-%{version}
%{__urlhelpercmd} --silent -o GeoIP.dat.gz %{geourl}/GeoLiteCountry/GeoIP.dat.gz
%{__urlhelpercmd} --silent -o GeoIPCountryCSV.zip %{geourl}/GeoIPCountryCSV.zip
%{__gzip} -d GeoIP.dat.gz
%{__unzip} GeoIPCountryCSV.zip

%install
cd %{name}-%{version}
%{__mkdir_p} %{buildroot}%{_datadir}/GeoIP
%{__install} -m 644 GeoIP.dat %{buildroot}%{_datadir}/GeoIP/GeoIP.dat
%{__install} -m 644 GeoIPCountryWhois.csv \
	%{buildroot}%{_datadir}/GeoIP/GeoIPCountryWhois.csv

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/GeoIP/*

%changelog
* Sat Aug 12 2012 JoungKyun.Kim <http://oops.org> 20120808-1%{?dist}
- update 20120808 version

* Fri Jun  7 2012 JoungKyun.Kim <http://oops.org> 20120606-1%{?dist}
- update 20120606 version

* Thu Feb 15 2012 JoungKyun.Kim <http://oops.org> 20120208-1%{?dist}
- update 20120208 version
